import {Core} from "../Core";
import {PhotonicVenoBox} from "../Lightboxes/VenoBox";
import * as Listeners from "../Listeners";
import * as Layout from "../Layouts/Layout";

document.addEventListener('DOMContentLoaded', () => {
	const lightbox = new PhotonicVenoBox();
	Core.setLightbox(lightbox);
	lightbox.initialize();
	// lightbox.initialize('.photonic-venobox-solo');
	// lightbox.initialize('.baguettebox-video'); // YouTube / Vimeo etc. do not work
	// lightbox.initialize('.baguettebox-html5-video');

	Core.executeCommon();
	Listeners.addAllListeners();
	Layout.initializeLayouts(lightbox);
});
